# element-table
> A tree-element-table component for Vue.js.


## Installation
```shell
npm i c-element-table -D
```

## Description
```shell
为element-table 开启树形功能，原有的table方法基本支持.
不支持排序,筛选等改变数据顺序的方法.
需配合elementUi使用
以下仅列出树形配置，其余属性参考element-talbe.
```

## Usage

```javascript
import Vue from 'vue'
import { ElTable, ElTableColumn } from 'c_element_table'

Vue.component('c-el-table', ElTable)
Vue.component('c-el-table-column', ElTableColumn)
```


### Table Attributes
| 参数      | 说明          | 类型      | 可选值                           | 默认值  |
|---------- |-------------- |---------- |--------------------------------  |-------- |
| tree | 是否开启树形模式(此项为true，则其他相关配置才会生效) | boolean | — | false |
| isFold | 是否折叠  | boolean | — | true |
| lazy | 开启懒加载 | boolean | — | false|
| load                  | 加载子树数据的方法，仅当 lazy 属性为true 时生效,具体使用参考ElementUI tree组件    | function(node, resolve)     | —    | —     |
| leafProp | 叶子节点的标识，仅当 lazy 属性为true 时生效 | String |— | isLeaf|
| childrenProp | 返回数据的子数据标识 | String | — | children |
| expandLevel | 展开到第几级  | number | — | 0 |
| treeData | 树形数据的数组(会返回经过处理的数组数据)  | array | — | — |





### Table-column Attributes
| 参数      | 说明          | 类型      | 可选值                           | 默认值  |
|---------- |-------------- |---------- |--------------------------------  |-------- |
| tree | 该列添加tree属性则会出现icon | boolean | — | — |
| indent | 行缩进量 | number | — | 10 |

# License
[MIT](https://opensource.org/licenses/MIT)
